Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network172.28.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
172.28.0.0
Broadcast address
172.28.31.255
First usable
172.28.0.1
Last usable
172.28.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Private (RFC 1918) 172.16.0.0/12
Office and home networks; not routed on the internet
Old class
B (default /16)
As numbers
Hex AC1C0000 · Integer 2887516160 to 2887524351
Reverse DNS zones
0.28.172.in-addr.arpa
1.28.172.in-addr.arpa
2.28.172.in-addr.arpa
3.28.172.in-addr.arpa
4.28.172.in-addr.arpa
5.28.172.in-addr.arpa
6.28.172.in-addr.arpa
7.28.172.in-addr.arpa
8.28.172.in-addr.arpa
9.28.172.in-addr.arpa
10.28.172.in-addr.arpa
11.28.172.in-addr.arpa
12.28.172.in-addr.arpa
13.28.172.in-addr.arpa
14.28.172.in-addr.arpa
15.28.172.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101100.00011100.00000000.00000000172.28.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network10101100.00011100.00000000.00000000172.28.0.0
Broadcast10101100.00011100.00011111.11111111172.28.31.255
Split into smaller subnets/28

172.28.0.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1172.28.0.0/28172.28.0.1 to 172.28.0.14172.28.0.1514
2172.28.0.16/28172.28.0.17 to 172.28.0.30172.28.0.3114
3172.28.0.32/28172.28.0.33 to 172.28.0.46172.28.0.4714
4172.28.0.48/28172.28.0.49 to 172.28.0.62172.28.0.6314
5172.28.0.64/28172.28.0.65 to 172.28.0.78172.28.0.7914
6172.28.0.80/28172.28.0.81 to 172.28.0.94172.28.0.9514
7172.28.0.96/28172.28.0.97 to 172.28.0.110172.28.0.11114
8172.28.0.112/28172.28.0.113 to 172.28.0.126172.28.0.12714
9172.28.0.128/28172.28.0.129 to 172.28.0.142172.28.0.14314
10172.28.0.144/28172.28.0.145 to 172.28.0.158172.28.0.15914
11172.28.0.160/28172.28.0.161 to 172.28.0.174172.28.0.17514
12172.28.0.176/28172.28.0.177 to 172.28.0.190172.28.0.19114
13172.28.0.192/28172.28.0.193 to 172.28.0.206172.28.0.20714
14172.28.0.208/28172.28.0.209 to 172.28.0.222172.28.0.22314
15172.28.0.224/28172.28.0.225 to 172.28.0.238172.28.0.23914
16172.28.0.240/28172.28.0.241 to 172.28.0.254172.28.0.25514
17172.28.1.0/28172.28.1.1 to 172.28.1.14172.28.1.1514
18172.28.1.16/28172.28.1.17 to 172.28.1.30172.28.1.3114
19172.28.1.32/28172.28.1.33 to 172.28.1.46172.28.1.4714
20172.28.1.48/28172.28.1.49 to 172.28.1.62172.28.1.6314
21172.28.1.64/28172.28.1.65 to 172.28.1.78172.28.1.7914
22172.28.1.80/28172.28.1.81 to 172.28.1.94172.28.1.9514
23172.28.1.96/28172.28.1.97 to 172.28.1.110172.28.1.11114
24172.28.1.112/28172.28.1.113 to 172.28.1.126172.28.1.12714
25172.28.1.128/28172.28.1.129 to 172.28.1.142172.28.1.14314
26172.28.1.144/28172.28.1.145 to 172.28.1.158172.28.1.15914
27172.28.1.160/28172.28.1.161 to 172.28.1.174172.28.1.17514
28172.28.1.176/28172.28.1.177 to 172.28.1.190172.28.1.19114
29172.28.1.192/28172.28.1.193 to 172.28.1.206172.28.1.20714
30172.28.1.208/28172.28.1.209 to 172.28.1.222172.28.1.22314
31172.28.1.224/28172.28.1.225 to 172.28.1.238172.28.1.23914
32172.28.1.240/28172.28.1.241 to 172.28.1.254172.28.1.25514
33172.28.2.0/28172.28.2.1 to 172.28.2.14172.28.2.1514
34172.28.2.16/28172.28.2.17 to 172.28.2.30172.28.2.3114
35172.28.2.32/28172.28.2.33 to 172.28.2.46172.28.2.4714
36172.28.2.48/28172.28.2.49 to 172.28.2.62172.28.2.6314
37172.28.2.64/28172.28.2.65 to 172.28.2.78172.28.2.7914
38172.28.2.80/28172.28.2.81 to 172.28.2.94172.28.2.9514
39172.28.2.96/28172.28.2.97 to 172.28.2.110172.28.2.11114
40172.28.2.112/28172.28.2.113 to 172.28.2.126172.28.2.12714
41172.28.2.128/28172.28.2.129 to 172.28.2.142172.28.2.14314
42172.28.2.144/28172.28.2.145 to 172.28.2.158172.28.2.15914
43172.28.2.160/28172.28.2.161 to 172.28.2.174172.28.2.17514
44172.28.2.176/28172.28.2.177 to 172.28.2.190172.28.2.19114
45172.28.2.192/28172.28.2.193 to 172.28.2.206172.28.2.20714
46172.28.2.208/28172.28.2.209 to 172.28.2.222172.28.2.22314
47172.28.2.224/28172.28.2.225 to 172.28.2.238172.28.2.23914
48172.28.2.240/28172.28.2.241 to 172.28.2.254172.28.2.25514
49172.28.3.0/28172.28.3.1 to 172.28.3.14172.28.3.1514
50172.28.3.16/28172.28.3.17 to 172.28.3.30172.28.3.3114
51172.28.3.32/28172.28.3.33 to 172.28.3.46172.28.3.4714
52172.28.3.48/28172.28.3.49 to 172.28.3.62172.28.3.6314
53172.28.3.64/28172.28.3.65 to 172.28.3.78172.28.3.7914
54172.28.3.80/28172.28.3.81 to 172.28.3.94172.28.3.9514
55172.28.3.96/28172.28.3.97 to 172.28.3.110172.28.3.11114
56172.28.3.112/28172.28.3.113 to 172.28.3.126172.28.3.12714
57172.28.3.128/28172.28.3.129 to 172.28.3.142172.28.3.14314
58172.28.3.144/28172.28.3.145 to 172.28.3.158172.28.3.15914
59172.28.3.160/28172.28.3.161 to 172.28.3.174172.28.3.17514
60172.28.3.176/28172.28.3.177 to 172.28.3.190172.28.3.19114
61172.28.3.192/28172.28.3.193 to 172.28.3.206172.28.3.20714
62172.28.3.208/28172.28.3.209 to 172.28.3.222172.28.3.22314
63172.28.3.224/28172.28.3.225 to 172.28.3.238172.28.3.23914
64172.28.3.240/28172.28.3.241 to 172.28.3.254172.28.3.25514
65172.28.4.0/28172.28.4.1 to 172.28.4.14172.28.4.1514
66172.28.4.16/28172.28.4.17 to 172.28.4.30172.28.4.3114
67172.28.4.32/28172.28.4.33 to 172.28.4.46172.28.4.4714
68172.28.4.48/28172.28.4.49 to 172.28.4.62172.28.4.6314
69172.28.4.64/28172.28.4.65 to 172.28.4.78172.28.4.7914
70172.28.4.80/28172.28.4.81 to 172.28.4.94172.28.4.9514
71172.28.4.96/28172.28.4.97 to 172.28.4.110172.28.4.11114
72172.28.4.112/28172.28.4.113 to 172.28.4.126172.28.4.12714
73172.28.4.128/28172.28.4.129 to 172.28.4.142172.28.4.14314
74172.28.4.144/28172.28.4.145 to 172.28.4.158172.28.4.15914
75172.28.4.160/28172.28.4.161 to 172.28.4.174172.28.4.17514
76172.28.4.176/28172.28.4.177 to 172.28.4.190172.28.4.19114
77172.28.4.192/28172.28.4.193 to 172.28.4.206172.28.4.20714
78172.28.4.208/28172.28.4.209 to 172.28.4.222172.28.4.22314
79172.28.4.224/28172.28.4.225 to 172.28.4.238172.28.4.23914
80172.28.4.240/28172.28.4.241 to 172.28.4.254172.28.4.25514
81172.28.5.0/28172.28.5.1 to 172.28.5.14172.28.5.1514
82172.28.5.16/28172.28.5.17 to 172.28.5.30172.28.5.3114
83172.28.5.32/28172.28.5.33 to 172.28.5.46172.28.5.4714
84172.28.5.48/28172.28.5.49 to 172.28.5.62172.28.5.6314
85172.28.5.64/28172.28.5.65 to 172.28.5.78172.28.5.7914
86172.28.5.80/28172.28.5.81 to 172.28.5.94172.28.5.9514
87172.28.5.96/28172.28.5.97 to 172.28.5.110172.28.5.11114
88172.28.5.112/28172.28.5.113 to 172.28.5.126172.28.5.12714
89172.28.5.128/28172.28.5.129 to 172.28.5.142172.28.5.14314
90172.28.5.144/28172.28.5.145 to 172.28.5.158172.28.5.15914
91172.28.5.160/28172.28.5.161 to 172.28.5.174172.28.5.17514
92172.28.5.176/28172.28.5.177 to 172.28.5.190172.28.5.19114
93172.28.5.192/28172.28.5.193 to 172.28.5.206172.28.5.20714
94172.28.5.208/28172.28.5.209 to 172.28.5.222172.28.5.22314
95172.28.5.224/28172.28.5.225 to 172.28.5.238172.28.5.23914
96172.28.5.240/28172.28.5.241 to 172.28.5.254172.28.5.25514
97172.28.6.0/28172.28.6.1 to 172.28.6.14172.28.6.1514
98172.28.6.16/28172.28.6.17 to 172.28.6.30172.28.6.3114
99172.28.6.32/28172.28.6.33 to 172.28.6.46172.28.6.4714
100172.28.6.48/28172.28.6.49 to 172.28.6.62172.28.6.6314
101172.28.6.64/28172.28.6.65 to 172.28.6.78172.28.6.7914
102172.28.6.80/28172.28.6.81 to 172.28.6.94172.28.6.9514
103172.28.6.96/28172.28.6.97 to 172.28.6.110172.28.6.11114
104172.28.6.112/28172.28.6.113 to 172.28.6.126172.28.6.12714
105172.28.6.128/28172.28.6.129 to 172.28.6.142172.28.6.14314
106172.28.6.144/28172.28.6.145 to 172.28.6.158172.28.6.15914
107172.28.6.160/28172.28.6.161 to 172.28.6.174172.28.6.17514
108172.28.6.176/28172.28.6.177 to 172.28.6.190172.28.6.19114
109172.28.6.192/28172.28.6.193 to 172.28.6.206172.28.6.20714
110172.28.6.208/28172.28.6.209 to 172.28.6.222172.28.6.22314
111172.28.6.224/28172.28.6.225 to 172.28.6.238172.28.6.23914
112172.28.6.240/28172.28.6.241 to 172.28.6.254172.28.6.25514
113172.28.7.0/28172.28.7.1 to 172.28.7.14172.28.7.1514
114172.28.7.16/28172.28.7.17 to 172.28.7.30172.28.7.3114
115172.28.7.32/28172.28.7.33 to 172.28.7.46172.28.7.4714
116172.28.7.48/28172.28.7.49 to 172.28.7.62172.28.7.6314
117172.28.7.64/28172.28.7.65 to 172.28.7.78172.28.7.7914
118172.28.7.80/28172.28.7.81 to 172.28.7.94172.28.7.9514
119172.28.7.96/28172.28.7.97 to 172.28.7.110172.28.7.11114
120172.28.7.112/28172.28.7.113 to 172.28.7.126172.28.7.12714
121172.28.7.128/28172.28.7.129 to 172.28.7.142172.28.7.14314
122172.28.7.144/28172.28.7.145 to 172.28.7.158172.28.7.15914
123172.28.7.160/28172.28.7.161 to 172.28.7.174172.28.7.17514
124172.28.7.176/28172.28.7.177 to 172.28.7.190172.28.7.19114
125172.28.7.192/28172.28.7.193 to 172.28.7.206172.28.7.20714
126172.28.7.208/28172.28.7.209 to 172.28.7.222172.28.7.22314
127172.28.7.224/28172.28.7.225 to 172.28.7.238172.28.7.23914
128172.28.7.240/28172.28.7.241 to 172.28.7.254172.28.7.25514
129172.28.8.0/28172.28.8.1 to 172.28.8.14172.28.8.1514
130172.28.8.16/28172.28.8.17 to 172.28.8.30172.28.8.3114
131172.28.8.32/28172.28.8.33 to 172.28.8.46172.28.8.4714
132172.28.8.48/28172.28.8.49 to 172.28.8.62172.28.8.6314
133172.28.8.64/28172.28.8.65 to 172.28.8.78172.28.8.7914
134172.28.8.80/28172.28.8.81 to 172.28.8.94172.28.8.9514
135172.28.8.96/28172.28.8.97 to 172.28.8.110172.28.8.11114
136172.28.8.112/28172.28.8.113 to 172.28.8.126172.28.8.12714
137172.28.8.128/28172.28.8.129 to 172.28.8.142172.28.8.14314
138172.28.8.144/28172.28.8.145 to 172.28.8.158172.28.8.15914
139172.28.8.160/28172.28.8.161 to 172.28.8.174172.28.8.17514
140172.28.8.176/28172.28.8.177 to 172.28.8.190172.28.8.19114
141172.28.8.192/28172.28.8.193 to 172.28.8.206172.28.8.20714
142172.28.8.208/28172.28.8.209 to 172.28.8.222172.28.8.22314
143172.28.8.224/28172.28.8.225 to 172.28.8.238172.28.8.23914
144172.28.8.240/28172.28.8.241 to 172.28.8.254172.28.8.25514
145172.28.9.0/28172.28.9.1 to 172.28.9.14172.28.9.1514
146172.28.9.16/28172.28.9.17 to 172.28.9.30172.28.9.3114
147172.28.9.32/28172.28.9.33 to 172.28.9.46172.28.9.4714
148172.28.9.48/28172.28.9.49 to 172.28.9.62172.28.9.6314
149172.28.9.64/28172.28.9.65 to 172.28.9.78172.28.9.7914
150172.28.9.80/28172.28.9.81 to 172.28.9.94172.28.9.9514
151172.28.9.96/28172.28.9.97 to 172.28.9.110172.28.9.11114
152172.28.9.112/28172.28.9.113 to 172.28.9.126172.28.9.12714
153172.28.9.128/28172.28.9.129 to 172.28.9.142172.28.9.14314
154172.28.9.144/28172.28.9.145 to 172.28.9.158172.28.9.15914
155172.28.9.160/28172.28.9.161 to 172.28.9.174172.28.9.17514
156172.28.9.176/28172.28.9.177 to 172.28.9.190172.28.9.19114
157172.28.9.192/28172.28.9.193 to 172.28.9.206172.28.9.20714
158172.28.9.208/28172.28.9.209 to 172.28.9.222172.28.9.22314
159172.28.9.224/28172.28.9.225 to 172.28.9.238172.28.9.23914
160172.28.9.240/28172.28.9.241 to 172.28.9.254172.28.9.25514
161172.28.10.0/28172.28.10.1 to 172.28.10.14172.28.10.1514
162172.28.10.16/28172.28.10.17 to 172.28.10.30172.28.10.3114
163172.28.10.32/28172.28.10.33 to 172.28.10.46172.28.10.4714
164172.28.10.48/28172.28.10.49 to 172.28.10.62172.28.10.6314
165172.28.10.64/28172.28.10.65 to 172.28.10.78172.28.10.7914
166172.28.10.80/28172.28.10.81 to 172.28.10.94172.28.10.9514
167172.28.10.96/28172.28.10.97 to 172.28.10.110172.28.10.11114
168172.28.10.112/28172.28.10.113 to 172.28.10.126172.28.10.12714
169172.28.10.128/28172.28.10.129 to 172.28.10.142172.28.10.14314
170172.28.10.144/28172.28.10.145 to 172.28.10.158172.28.10.15914
171172.28.10.160/28172.28.10.161 to 172.28.10.174172.28.10.17514
172172.28.10.176/28172.28.10.177 to 172.28.10.190172.28.10.19114
173172.28.10.192/28172.28.10.193 to 172.28.10.206172.28.10.20714
174172.28.10.208/28172.28.10.209 to 172.28.10.222172.28.10.22314
175172.28.10.224/28172.28.10.225 to 172.28.10.238172.28.10.23914
176172.28.10.240/28172.28.10.241 to 172.28.10.254172.28.10.25514
177172.28.11.0/28172.28.11.1 to 172.28.11.14172.28.11.1514
178172.28.11.16/28172.28.11.17 to 172.28.11.30172.28.11.3114
179172.28.11.32/28172.28.11.33 to 172.28.11.46172.28.11.4714
180172.28.11.48/28172.28.11.49 to 172.28.11.62172.28.11.6314
181172.28.11.64/28172.28.11.65 to 172.28.11.78172.28.11.7914
182172.28.11.80/28172.28.11.81 to 172.28.11.94172.28.11.9514
183172.28.11.96/28172.28.11.97 to 172.28.11.110172.28.11.11114
184172.28.11.112/28172.28.11.113 to 172.28.11.126172.28.11.12714
185172.28.11.128/28172.28.11.129 to 172.28.11.142172.28.11.14314
186172.28.11.144/28172.28.11.145 to 172.28.11.158172.28.11.15914
187172.28.11.160/28172.28.11.161 to 172.28.11.174172.28.11.17514
188172.28.11.176/28172.28.11.177 to 172.28.11.190172.28.11.19114
189172.28.11.192/28172.28.11.193 to 172.28.11.206172.28.11.20714
190172.28.11.208/28172.28.11.209 to 172.28.11.222172.28.11.22314
191172.28.11.224/28172.28.11.225 to 172.28.11.238172.28.11.23914
192172.28.11.240/28172.28.11.241 to 172.28.11.254172.28.11.25514
193172.28.12.0/28172.28.12.1 to 172.28.12.14172.28.12.1514
194172.28.12.16/28172.28.12.17 to 172.28.12.30172.28.12.3114
195172.28.12.32/28172.28.12.33 to 172.28.12.46172.28.12.4714
196172.28.12.48/28172.28.12.49 to 172.28.12.62172.28.12.6314
197172.28.12.64/28172.28.12.65 to 172.28.12.78172.28.12.7914
198172.28.12.80/28172.28.12.81 to 172.28.12.94172.28.12.9514
199172.28.12.96/28172.28.12.97 to 172.28.12.110172.28.12.11114
200172.28.12.112/28172.28.12.113 to 172.28.12.126172.28.12.12714
201172.28.12.128/28172.28.12.129 to 172.28.12.142172.28.12.14314
202172.28.12.144/28172.28.12.145 to 172.28.12.158172.28.12.15914
203172.28.12.160/28172.28.12.161 to 172.28.12.174172.28.12.17514
204172.28.12.176/28172.28.12.177 to 172.28.12.190172.28.12.19114
205172.28.12.192/28172.28.12.193 to 172.28.12.206172.28.12.20714
206172.28.12.208/28172.28.12.209 to 172.28.12.222172.28.12.22314
207172.28.12.224/28172.28.12.225 to 172.28.12.238172.28.12.23914
208172.28.12.240/28172.28.12.241 to 172.28.12.254172.28.12.25514
209172.28.13.0/28172.28.13.1 to 172.28.13.14172.28.13.1514
210172.28.13.16/28172.28.13.17 to 172.28.13.30172.28.13.3114
211172.28.13.32/28172.28.13.33 to 172.28.13.46172.28.13.4714
212172.28.13.48/28172.28.13.49 to 172.28.13.62172.28.13.6314
213172.28.13.64/28172.28.13.65 to 172.28.13.78172.28.13.7914
214172.28.13.80/28172.28.13.81 to 172.28.13.94172.28.13.9514
215172.28.13.96/28172.28.13.97 to 172.28.13.110172.28.13.11114
216172.28.13.112/28172.28.13.113 to 172.28.13.126172.28.13.12714
217172.28.13.128/28172.28.13.129 to 172.28.13.142172.28.13.14314
218172.28.13.144/28172.28.13.145 to 172.28.13.158172.28.13.15914
219172.28.13.160/28172.28.13.161 to 172.28.13.174172.28.13.17514
220172.28.13.176/28172.28.13.177 to 172.28.13.190172.28.13.19114
221172.28.13.192/28172.28.13.193 to 172.28.13.206172.28.13.20714
222172.28.13.208/28172.28.13.209 to 172.28.13.222172.28.13.22314
223172.28.13.224/28172.28.13.225 to 172.28.13.238172.28.13.23914
224172.28.13.240/28172.28.13.241 to 172.28.13.254172.28.13.25514
225172.28.14.0/28172.28.14.1 to 172.28.14.14172.28.14.1514
226172.28.14.16/28172.28.14.17 to 172.28.14.30172.28.14.3114
227172.28.14.32/28172.28.14.33 to 172.28.14.46172.28.14.4714
228172.28.14.48/28172.28.14.49 to 172.28.14.62172.28.14.6314
229172.28.14.64/28172.28.14.65 to 172.28.14.78172.28.14.7914
230172.28.14.80/28172.28.14.81 to 172.28.14.94172.28.14.9514
231172.28.14.96/28172.28.14.97 to 172.28.14.110172.28.14.11114
232172.28.14.112/28172.28.14.113 to 172.28.14.126172.28.14.12714
233172.28.14.128/28172.28.14.129 to 172.28.14.142172.28.14.14314
234172.28.14.144/28172.28.14.145 to 172.28.14.158172.28.14.15914
235172.28.14.160/28172.28.14.161 to 172.28.14.174172.28.14.17514
236172.28.14.176/28172.28.14.177 to 172.28.14.190172.28.14.19114
237172.28.14.192/28172.28.14.193 to 172.28.14.206172.28.14.20714
238172.28.14.208/28172.28.14.209 to 172.28.14.222172.28.14.22314
239172.28.14.224/28172.28.14.225 to 172.28.14.238172.28.14.23914
240172.28.14.240/28172.28.14.241 to 172.28.14.254172.28.14.25514
241172.28.15.0/28172.28.15.1 to 172.28.15.14172.28.15.1514
242172.28.15.16/28172.28.15.17 to 172.28.15.30172.28.15.3114
243172.28.15.32/28172.28.15.33 to 172.28.15.46172.28.15.4714
244172.28.15.48/28172.28.15.49 to 172.28.15.62172.28.15.6314
245172.28.15.64/28172.28.15.65 to 172.28.15.78172.28.15.7914
246172.28.15.80/28172.28.15.81 to 172.28.15.94172.28.15.9514
247172.28.15.96/28172.28.15.97 to 172.28.15.110172.28.15.11114
248172.28.15.112/28172.28.15.113 to 172.28.15.126172.28.15.12714
249172.28.15.128/28172.28.15.129 to 172.28.15.142172.28.15.14314
250172.28.15.144/28172.28.15.145 to 172.28.15.158172.28.15.15914
251172.28.15.160/28172.28.15.161 to 172.28.15.174172.28.15.17514
252172.28.15.176/28172.28.15.177 to 172.28.15.190172.28.15.19114
253172.28.15.192/28172.28.15.193 to 172.28.15.206172.28.15.20714
254172.28.15.208/28172.28.15.209 to 172.28.15.222172.28.15.22314
255172.28.15.224/28172.28.15.225 to 172.28.15.238172.28.15.23914
256172.28.15.240/28172.28.15.241 to 172.28.15.254172.28.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses